Bug 250229

Summary: graphics/mupdf: jbig2dec error
Product: Ports & Packages Reporter: yzrh
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: uzsolt, wen
Priority: --- Flags: bugzilla: maintainer-feedback? (uzsolt)
Version: Latest   
Hardware: Any   
OS: Any   

Description yzrh 2020-10-09 18:58:25 UTC
If PDF contains jbig2 images,  pages with jbig2 images
will not render.  Maybe jbig2dec was updated without
bumping portrevision of mupdf?

Error message:

MESA-LOADER: failed to retrieve device information
warning: jbig2dec error: incompatible jbig2dec header (0.18) and library (0.19) versions (segment -1)                          
error: cannot allocate jbig2 context
Comment 1 Zsolt Udvari 2020-10-19 19:47:17 UTC
Added an update to 1.18.0:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250473
Comment 2 Zsolt Udvari 2020-11-02 09:45:12 UTC
(In reply to Zsolt Udvari from comment #1)
Could you check please the new version?
Comment 3 yzrh 2020-11-04 00:04:37 UTC
I can confirm mupdf-1.18.0,1 is able to render pages with jbig2.
Comment 4 yzrh 2020-11-04 00:05:49 UTC
I will change it to FIXED. Thanks.